Author Topic: configure: error: Please reinstall the libzip distribution  (Read 2512 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
configure: error: Please reinstall the libzip distribution
« on: November 01, 2017, 08:42:48 PM »
Hi folks,

I get error when I try to install last PHP 7.x (dev). So the error is:


checking for zip archive read/writesupport... yes
checking pcre install prefix... no
checking libzip... yes
checking for the location of zlib... /usr
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for libzip... not found
configure: error: Please reinstall the libzip distribution
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
Redirecting to /bin/systemctl restart httpd.service

Build Completed
###################

How to reinstall libzip on RHEL 7.4 (Maipo) ? Should be the same like CentOS but I cannot find solution.

Tried to install libzip and libzip-devel , so get the same error.
« Last Edit: November 01, 2017, 08:51:46 PM by batence »

Offline
*
Re: configure: error: Please reinstall the libzip distribution
« Reply #1 on: November 01, 2017, 09:14:29 PM »
php 7.x is developers version and you shouldn't install it on productions servers.
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
*
Re: configure: error: Please reinstall the libzip distribution
« Reply #2 on: November 03, 2017, 03:42:54 AM »
You're right! Thank you!

I will wait for official release of 7.2.